## org.jgroups
Interface ChannelListener

All Known Implementing Classes:
  ChannelListenerAdapter, Draw, MuxRpcDispatcher, PullPushAdapter, RpcDispatcher

    public interface ChannelListener

Allows a listener to be notified when important channel events occur. For example, when a channel is closed, a PullPushAdapter can be notified, and stop accordingly.

Method Summary
`void` `channelClosed(Channel channel)`
`void` `channelConnected(Channel channel)`
`void` `channelDisconnected(Channel channel)`
`void` `channelReconnected(Address addr)` Deprecated.
`void` `channelShunned()` Deprecated.

Method Detail

### channelConnected

    void channelConnected(Channel channel)

### channelDisconnected

    void channelDisconnected(Channel channel)

### channelClosed

    void channelClosed(Channel channel)

### channelShunned

    @Deprecated
    void channelShunned()

  Deprecated.

### channelReconnected

    @Deprecated
    void channelReconnected(Address addr)

  Deprecated.

Copyright © 1998-2009 Bela Ban / Red Hat. All Rights Reserved.